aboutsummaryrefslogtreecommitdiff
path: root/font_api/tools/make_font_lua.sh
diff options
context:
space:
mode:
Diffstat (limited to 'font_api/tools/make_font_lua.sh')
-rwxr-xr-xfont_api/tools/make_font_lua.sh19
1 files changed, 17 insertions, 2 deletions
diff --git a/font_api/tools/make_font_lua.sh b/font_api/tools/make_font_lua.sh
index ae24001..e858360 100755
--- a/font_api/tools/make_font_lua.sh
+++ b/font_api/tools/make_font_lua.sh
@@ -3,6 +3,17 @@
scriptname=$(basename $0)
identify="identify"
+usage() {
+ echo "Usage: $0 fontname"
+ echo "fontname: The name of the font. Must correspond to existing texture/font_<fontname>_????.png files"
+}
+
+if [ $# -ne 1 ]
+then
+ usage
+ exit 1
+fi
+
font_name=$1
for f in textures/font_${font_name}_????.png
@@ -41,8 +52,12 @@ $luafile generated by $scriptname $(LANG=en_US date)
font_api.register_font(
'$font_name',
- $font_height,
- { $font_widths }
+ {
+ height = $font_height,
+ widths = {
+ $font_widths
+ },
+ }
);
" > font_$font_name.lua